import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:myplugin_by_caitan/myplugin_by_caitan.dart';

void main() {
  const MethodChannel channel = MethodChannel('myplugin_by_caitan');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await MypluginByCaitan.platformVersion, '42');
  });
}
